Subject: Re: bug#6799: 24.0.50; Please add dired-details.el to Emacs [patch]

From: Christopher Schmidt <[email-masked]>
Date: Sat, 15 Dec 2012 21:15:16 +0000 (GMT)

"Drew Adams" <[email-masked]> writes:
> ping.
>
> Still hoping, after all these years...
>
> The replies from Emacs Dev have varied from
> gee-we-don't-know-how-to-find-Rob (even though he has replied to this
> bug list and his email address works) to
> gee-we-don't-know-whether-he-has-signed-papers (even though he has
> replied here indicating that he has).
>
> What's the problem?
>
> (Again, this is for Emacs, not for me.  I am content with loading
> dired-details(+).el for my own use.  But it's a shame that Emacs users
> do not have this great feature as part of Emacs.)

Here is my attempt.

Usage:

    (progn
      (require 'cl-lib)
      (require 'dired)
      (require 'my-dired-hide-details-mode))

Press `(' in any dired buffer to toggle details.

Other than dired-details by Rob this implementation does not use
overlays but text properties which is a lot faster.

I just wrote this a few minutes ago but the code seems to work fine with
dired, wdired and find-dired.

If there is interest, I can polish the code, add documentation and
customisation options and come up with a full patch for the trunk.  I
think, due to the way my-dired-hide-details-mode is designed, it would
be best to add the code directly to dired.el - that is

    add new code to dired-insert-set-properties
    add new minor mode dired-hide-details-mode
    bind dired-hide-details-mode in dired-mode-map

It would be necessary to fix a few bugs find-dired as well.  Nothing
fancy, though.

WDYT?

        Christopher